org.apache.lucene.facet.search

## Interface ScoredDocIDs

All Known Implementing Classes:
  MatchingDocsAsScoredDocIDs

    public interface ScoredDocIDs

Document IDs with scores for each, driving facets accumulation. Document scores are optionally used in the process of facets scoring.

See Also:
  `StandardFacetsAccumulator.accumulate(ScoredDocIDs)`
WARNING: This API is experimental and might change in incompatible ways in the next release.

### Method Summary

Methods
`DocIdSet` `getDocIDs()` Returns the set of doc IDs.
`ScoredDocIDsIterator` `iterator()` Returns an iterator over the document IDs and their scores.
`int` `size()` Returns the number of scored documents.

### Method Detail

#### iterator

    ScoredDocIDsIterator iterator()
                                  throws IOException

Returns an iterator over the document IDs and their scores.

Throws:
  `IOException`

#### getDocIDs

    DocIdSet getDocIDs()

Returns the set of doc IDs.

#### size

    int size()

Returns the number of scored documents.